Foreman - Bug #2291

create host javascript error - operating system does not become enabled
03/07/2013 05:43 AM - Joseph Magen
Description

Error in server log
NoMethodError (undefined method “to_a' for "75":String):

app/controllers/hosts_controller.rb:492:1in "taxonomy_scope'
lib/foreman/controller/host_details.rb:42:in “assign_parameter'
lib/foreman/controller/host_details.rb:7:in “architecture_selected'
lib/foreman/thread_session.rb:31:in ‘clear_thread'

Error in browser console

Viewport argument value "1.0;" for key "maximum-scale" was
truncated

to its numeric prefix. new:37

Failed to load resource: the server responded with a status of 500
(Internal Server Error) http://0.0.0.0:3000/hosts/process_hostgroup
Failed to load resource: the server responded with a status of 500
(Internal Server Error) http://0.0.0.0:3000/hosts/domain_selected
Failed to load resource: the server responded with a status of 500
(Internal Server Error)
http://0.0.0.0:3000/hosts/architecture_selected

Failed to load resource: the server responded with a status of 500
(Internal Server Error)
http://0.0.0.0:3000/hosts/architecture _selected

Failed to load resource: the server responded with a status of 500
(Internal Server Error)
http://0.0.0.0:3000/hosts/architecture_selected

POST http://0.0.0.0:3000/hosts/architecture_selected 500 (Internal
Server Error) jquery.js:4

POST http://0.0.0.0:3000/hosts/architecture_selected 500 (Internal
Server Error) jquery.js:4

Associated revisions

Revision 588951fb - 03/11/2013 11:49 AM - Joseph Magen
fixes #2291 undefined method 'to_a' for 75:String when creating host WITH taxonomy

History

#1 - 03/07/2013 06:19 AM - Joseph Magen
- Status changed from New to Ready For Testing

#2 - 03/11/2013 08:42 PM - Joseph Magen
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 1fb2e86240b57 28628bai.
